<?xml version="1.0" encoding="UTF-8"?>
<xsd:schema targetNamespace="http://webservices.tedata.net/V1/TEDATACommonTypes" xmlns:ct="http://webservices.tedata.net/V1/TEDATACommonTypes" xmlns:xsd="http://www.w3.org/2001/XMLSchema">


	<xsd:complexType name="ServiceInfo_Type">
		<xsd:sequence>
			<xsd:element name="adslExchangeId" type="xsd:int"/>
			<xsd:element name="lineOwnerName" type="xsd:string"/>
			<xsd:element name="adslSpeed" type="xsd:string"/>
			<xsd:element name="packageId" type="xsd:string"/>
			<xsd:element name="cpe" type="xsd:string"/>
			<xsd:element name="cpeDeliveryMethod" type="xsd:string"/>
			<xsd:element name="familyADSL" type="xsd:boolean"/>
			<xsd:element name="optionPack" type="xsd:string"/>
			<xsd:element name="iptv" type="xsd:string"/>
			<xsd:element name="bandwidthType" type="xsd:string"/>
			<xsd:element name="adslServiceType" type="xsd:string"/>
			<xsd:element name="ctc" type="xsd:boolean"/>
			<xsd:element name="wifiAccessPoints" type="xsd:int"/>
			<xsd:element name="commercialLine" type="xsd:boolean"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="OrderInfo_Type">
		<xsd:sequence>
			<xsd:element name="orderSource" type="xsd:string"/>
			<xsd:element name="shortDesc" type="xsd:string"/>
			<xsd:element name="description" type="xsd:string"/>
			<xsd:element name="priority" type="xsd:string"/>
		</xsd:sequence>
	</xsd:complexType>


	<xsd:complexType name="CustomerInfo_Type">
		<xsd:sequence>
			<xsd:element name="email" type="ct:email_Type"/>
			<xsd:element name="address" type="xsd:string"/>
			<xsd:element name="contactPhone" type="xsd:string"/>
			<xsd:element name="contactMobile" type="xsd:string"/>
			<xsd:element name="contactName" type="xsd:string"/>
			<xsd:element name="resellerId" type="xsd:int"/>
			<xsd:element name="resellerName" type="xsd:string"/>
			<xsd:element name="paymentMethod" type="xsd:string"/>
			<xsd:element name="corporateDeal" type="xsd:boolean"/>
			<xsd:element name="username" type="xsd:string"/>
			<xsd:element name="khadamaty" type="xsd:boolean"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:simpleType name="invoiceNumber_Type">
		<xsd:restriction base="xsd:int"/>
	</xsd:simpleType>
	<xsd:simpleType name="receiptNumber_Type">
		<xsd:restriction base="xsd:int"/>
	</xsd:simpleType>
	<xsd:simpleType name="orderId_Type">
		<xsd:restriction base="xsd:int"/>
	</xsd:simpleType>
	<xsd:simpleType name="email_Type">
		<xsd:restriction base="xsd:string"/>
	</xsd:simpleType>  
	<xsd:simpleType name="adslPhoneNumber_Type">
		<xsd:restriction base="xsd:string"/>
	</xsd:simpleType>
	<xsd:simpleType name="areaCode_Type">
		<xsd:restriction base="xsd:int"/>
	</xsd:simpleType>
	<xsd:simpleType name="customerNumber_Type">
		<xsd:restriction base="xsd:string"/>
	</xsd:simpleType>
	<xsd:simpleType name="upgradeInTheMiddle_Type">
		<xsd:restriction base="xsd:boolean"/>
	</xsd:simpleType>
	<xsd:simpleType name="useExistingDuration_Type">
		<xsd:restriction base="xsd:boolean"/>
	</xsd:simpleType>
	<xsd:simpleType name="useExistingLimitationType_Type">
		<xsd:restriction base="xsd:boolean"/>
	</xsd:simpleType>
	<xsd:simpleType name="useExistingPackageOfferTypeID_Type">
		<xsd:restriction base="xsd:boolean"/>
	</xsd:simpleType>
	<xsd:simpleType name="useExistingSpeed_Type">
		<xsd:restriction base="xsd:boolean"/>
	</xsd:simpleType>
	<xsd:simpleType name="status_Type">
		<xsd:restriction base="xsd:string"/>
	</xsd:simpleType>
	<xsd:simpleType name="ticketNumber_Type">
		<xsd:restriction base="xsd:int"/>
	</xsd:simpleType>
	<xsd:simpleType name="Wsusername_Type">
		<xsd:restriction base="xsd:string"/>
	</xsd:simpleType>
	<xsd:simpleType name="Wspassword_Type">
		<xsd:restriction base="xsd:string"/>
	</xsd:simpleType>


	<xsd:complexType name="receipt_Type">
		<xsd:sequence>
			<xsd:element name="amountAllocatedToTheInvoice" type="xsd:double"/>
			<xsd:element name="amountOfReceipt" type="xsd:double"/>
			<xsd:element minOccurs="0" name="collectionNumber" type="xsd:string"/>
			<xsd:element name="receiptNumber" type="ct:receiptNumber_Type"/>
			<xsd:element minOccurs="0" name="receiptdate" type="xsd:dateTime"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="InvoiceDetailResponse_Type">
		<xsd:sequence>
			<xsd:element minOccurs="1" name="status" type="ct:status_Type"/>
			<xsd:element minOccurs="0" name="description" type="xsd:string"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="RenewalForm_Type">
		<xsd:sequence>
			<xsd:element name="adslPhoneNumber" type="ct:adslPhoneNumber_Type"/>
			<xsd:element name="areaCode" type="ct:areaCode_Type"/>
			<xsd:element name="customerNumber" type="ct:customerNumber_Type"/>
			<xsd:element name="externalPaymentTransactionNumber" type="xsd:string"/>
			<xsd:element name="includeCPERentalInRenewal" type="xsd:boolean"/>
			<xsd:element name="includeOptionPackInRenewal" type="xsd:boolean"/>
			<xsd:element name="newDurationInMonths" type="xsd:int"/>
			<xsd:element name="newLimitationType" type="xsd:string"/>
			<xsd:element name="newOptionPackPackageID" type="xsd:int"/>
			<xsd:element name="newOptionPackPackagePrice" type="xsd:double"/>
			<xsd:element name="newSpeed" type="xsd:string"/>
			<xsd:element name="paymentMethodID" type="xsd:int"/>
			<xsd:element name="renewalAdminUserID" type="xsd:int"/>
			<xsd:element name="renewalLocationID" type="xsd:int"/>
			<xsd:element name="renewalUserName" type="xsd:string"/>
			<xsd:element name="packageOfferTypeID" type="xsd:int"/>
			<xsd:element name="voucherNumber" type="xsd:string"/>
			<xsd:element name="upgradeInTheMiddle" type="ct:upgradeInTheMiddle_Type"/>
			<xsd:element name="useExistingDuration" type="ct:useExistingDuration_Type"/>
			<xsd:element name="useExistingLimitationType" type="ct:useExistingLimitationType_Type"/>
			<xsd:element name="useExistingPackageOfferTypeID" type="ct:useExistingPackageOfferTypeID_Type"/>
			<xsd:element name="useExistingSpeed" type="ct:useExistingSpeed_Type"/>
		</xsd:sequence>
	</xsd:complexType>  
	<xsd:complexType name="RetrialConfigurationHeader">
		<xsd:sequence>
			<xsd:element minOccurs="1" name="RetrialEnabled" type="xsd:string"/>
			<xsd:element minOccurs="1" name="RetryOutQueue" type="xsd:string"/>
		</xsd:sequence>
	</xsd:complexType>




	<xsd:complexType name="FaultResponse_Type">
		<xsd:sequence>
			<xsd:element name="statusCode" type="xsd:int" maxOccurs="1" />
			<xsd:element name="statusMessage" type="xsd:string" maxOccurs="1" />
			<xsd:element name="backEnd" type="xsd:string" maxOccurs="1" minOccurs="0"/>
		</xsd:sequence>
	</xsd:complexType>
	<xsd:complexType name="ESBGeneralException_Type">
		<xsd:sequence>
			<xsd:element name="statusCode" type="xsd:string" maxOccurs="1" />
			<xsd:element name="statusMessage" type="xsd:string" maxOccurs="1" />
			<xsd:element name="Retriable" type="xsd:boolean" maxOccurs="1" minOccurs="0"/>
			<xsd:element name="GlobalTransactionId" type="xsd:string" maxOccurs="1" minOccurs="0"/>
		</xsd:sequence>
	</xsd:complexType>
	


	<xsd:complexType name="RequestMsg_Type">
		<xsd:sequence>
			<xsd:element name="msgRqHdr" type="ct:MsgRqHdr_Type" />
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="ResponseMsg_Type">
		<xsd:sequence>
			<xsd:element name="msgRsHdr" type="ct:MsgRsHdr_Type" />
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="MsgRqHdr_Type">
		<xsd:sequence>
			<xsd:element name="RqUID" type="xsd:string" minOccurs="1" />
			<xsd:element name="ChannelId" type="ct:SystemName_Type" minOccurs="1" />
			<xsd:element name="SubmissionDate" type="xsd:dateTime" minOccurs="0" />
			<!-- timestamp captured at request initiator system, with format 'YYYY-MM-DDThh:mm:ss', where 'T' indicates the start of the time section -->
		</xsd:sequence>
	</xsd:complexType>
	
	<xsd:complexType name="GCacheConfigurationHeader">
		<xsd:sequence>
			<xsd:element minOccurs="1" name="GCEnabled" type="xsd:boolean"/>
		</xsd:sequence>
	</xsd:complexType>
	
	<xsd:complexType name="MsgRsHdr_Type">
		<xsd:sequence>
			<xsd:element name="RqUID" type="xsd:string" minOccurs="1" />
			<xsd:element name="statusCode" type="xsd:string" />
			<xsd:element name="statusDesc" type="xsd:string" minOccurs="0"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:simpleType name="SystemName_Type">
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="Matrix"/>
			<xsd:enumeration value="CCP"/>
			<xsd:enumeration value="OMS"/>
			<xsd:enumeration value="RSP"/>
			<xsd:enumeration value="SSP"/>
			<xsd:enumeration value="SIMBA"/>
			<xsd:enumeration value="PCRF"/>
			<xsd:enumeration value="AAA"/>
			<xsd:enumeration value="DP"/>
			<xsd:enumeration value="TE-OSS"/>
			<xsd:enumeration value="BEE"/>
			<xsd:enumeration value="PETRO-TRADE"/>
			<xsd:enumeration value="HomeCollection"/>
			
			
			<!-- for future use -->
		</xsd:restriction>
	</xsd:simpleType>
</xsd:schema>